EMGD + Yocto how-to

Discussion for non Joggler hardware / software including software for devices that share similarities with the O2 Joggler Hardware. This section has been opened for discussion of things like the settings up the EMGD drivers on other hardware using Ubuntu, as discussion of this has been banned at the official Ubuntu Forums.
Post Reply
chemendonca
Posts: 1
Joined: Sat Aug 20, 2016 6:04 pm

EMGD + Yocto how-to

Post by chemendonca » Sat Aug 20, 2016 7:10 pm

Hello! I've successfully installed Arch on a Vaio P 2nd gen, but it's using the gma500_gfx kernel driver by default. I wanted to get EMGD working to enable 2D/3D acceleration, but all packages on AUR are no longer available. In fact, most guides, wikis and packages date back to 2011-2013 and are either incomplete or the relevant assets are 404. I want to write a wiki and create a AUR package, but need some help getting started with patching (using Yocto source?) and installing EMGD 1.18.

I understand that I need kernel 3.10.x (latest supported by Yocto?) and xorg 1.9, correct? I can probably get this right, but I was wondering if anyone can share some steps on how to get started with extracting the official EMGD package and the Yocto project bits.

I'll probably post my findings on wiki.archlinux.org, here and Pocketables. Hopefully this helps other people trying different distros on Joggler and other devices with Poulsbo. I tried Thomas' packages (https://launchpad.net/~thopiekar/+archive/ubuntu/emgd), but couldn't get far. Maybe @BuZz or others can give me some pointers... :-)

Post Reply